<?php

namespace App\Filament\Loggers;

use App\Models\TopHeader;
use App\Filament\Resources\TopHeaderResource;
use Illuminate\Contracts\Support\Htmlable;
use Noxo\FilamentActivityLog\Loggers\Logger;
use Noxo\FilamentActivityLog\ResourceLogger\Field;
use Noxo\FilamentActivityLog\ResourceLogger\RelationManager;
use Noxo\FilamentActivityLog\ResourceLogger\ResourceLogger;

class TopHeaderLogger extends Logger
{
    public static ?string $model = TopHeader::class;

    public static function getLabel(): string | Htmlable | null
    {
        return TopHeaderResource::getModelLabel();
    }

    public static function resource(ResourceLogger $logger): ResourceLogger
    {
        return $logger
            ->fields([
                Field::make('icon_facility')->label(__('Icon Facility')),
                Field::make('facilities_tittle')->label(__('Facilities Tittle')),
                Field::make('icon_studentlife')->label(__('Icon Studentlife')),
                Field::make('studentlife_tittle')->label(__('Studentlife Tittle')),
                Field::make('search_status')->label(__('Search Status')),
                Field::make('apply_now')->label(__('Apply Now')),
                Field::make('apply_now_link')->label(__('Apply Now Link')),
                Field::make('applynow_status')->label(__('Applynow Status')),
                Field::make('requestinfo')->label(__('Requestinfo')),
                Field::make('requestinfo_link')->label(__('Requestinfo Link')),
                Field::make('requestinfo_status')->label(__('Requestinfo Status')),
            ])
            ->relationManagers([
                //
            ]);
    }
}
